Submits a transaction to the network. The request is first validated for basic correctness. If validation fails, the request will fail immediately. If validation succeeds, this method returns only after the transaction has been replicated across a majority of validators in the network, or until the request fails.
HTTP request
POST https://universalledger.googleapis.com/v1/{endpoint=projects/*/locations/*/endpoints/*}:submitTransaction The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
endpoint |
Required. The endpoint to submit the transaction to. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "serializedSignedTransaction": string } |
| Fields | |
|---|---|
serializedSignedTransaction |
Required. A protobuf serialized A base64-encoded string. |
Response body
Response message for endpoints.submitTransaction.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "transactionDigestHex": string } |
| Fields | |
|---|---|
transactionDigestHex |
Identifier that uniquely represents the submitted transaction. It is the hexadecimal representation of the SHA-256 digest of the |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.